sc::RedundMolecularCoor(3)

NAME
sc::RedundMolecularCoor - The RedundMolecularCoor class provides a redundant set of simple internal coordinates.

SYNOPSIS

#include <coor.h>

Inherits sc::IntMolecularCoor.

  Public Member Functions
RedundMolecularCoor (Ref< Molecule > &mol)
RedundMolecularCoor (StateIn &)
RedundMolecularCoor (const Ref< KeyVal > &)
The KeyVal constructor.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void form_coordinates (int keep_variable=0)
Actually form the variable and constant internal coordinates from the simple internal coordinates.
void guess_hessian (RefSymmSCMatrix &hessian)
Form the approximate hessian.
RefSymmSCMatrix inverse_hessian (RefSymmSCMatrix &)
Invert the hessian.

Detailed Description

The RedundMolecularCoor class provides a redundant set of simple internal coordinates.

Member Function Documentation

  void sc::RedundMolecularCoor::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::IntMolecularCoor.

  void sc::RedundMolecularCoor::form_coordinates (int keep_variable = 0) [virtual]

Actually form the variable and constant internal coordinates from the simple internal coordinates.

Implements sc::IntMolecularCoor.

Author

Generated automatically by Doxygen for MPQC from the source code.